Subject: Re: [PATCH] powerpc: inline current_stack_pointer()

From: Anton Blanchard <[email-masked]>
Date: Tue, 31 May 2016 20:05:19 +1000

Hi,

> current_stack_pointeur() is a single instruction function. it
> It is not worth breaking the execution flow with a bl/blr for a
> single instruction

Check out bfe9a2cfe91a ("powerpc: Reimplement __get_SP() as a function
not a define") to see why we made it a function.

Anton